程序"捆绑"目前未安装[英] The program 'bundle' is currently not installed

本文是小编为大家收集整理的关于程序"捆绑"目前未安装的处理方法,想解了程序"捆绑"目前未安装的问题怎么解决?程序"捆绑"目前未安装问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

虽然我正在尝试运行此代码"捆绑安装--without生产" 我得到了错误 "目前未安装程序"捆绑".您可以通过键入: sudo apt-get install ruby​​-bundler " 我已经安装了捆绑,但仍然遇到此错误.

此问题发生在我从Harlt's学习的信息中学习."更新Gemfile"在Heroku设置部分

推荐答案

首先设置已安装的Ruby可执行文件的路径变量(假设安装的Ruby是Ruby-2.0.0-P451):

PATH=$PATH:$HOME/.rvm/gems/ruby-2.0.0-p451/bin

然后运行,

gem install bundler(如果未安装Bundler)

并最后运行,

rvm use ruby-2.0.0-p451 --default(--default是可选的).

你去了.现在,您可以通过任何问题运行bundle命令.

希望它有助于:)

其他推荐答案

为那些使用 rbenv 收据是:

gem install bundler
rbenv rehash
bundle

本文地址:https://www.itbaoku.cn/post/786764.html